#include <iostream>
#include <cmath>

using namespace std;

int br = 0, br1 = 0;

int brojCifara(long long V) {
	if (V == 0) return br;
	else if (V != 0) {
		br++;
		V /= 10;
		brojCifara(V);
	}
}

int brojNovcanica(long long V) {
	if (V == 0) return br1;
	else {
		br = 0;
		long long a = pow(10, brojCifara(V) - 1);
		if (V / a >= 5) {
			V = V - (5 * a);
			br1++;
			brojNovcanica(V);
		}
		else
			if (V / a >= 2) {
				V = V - (2 * a);
				br1++;
				brojNovcanica(V);
			}
			else
			{
				V = V - a;
				br1++;
				brojNovcanica(V);
			}
	}
}

int main() {
	long long V;
	cin >> V;
	cout << brojNovcanica(V);
}